%define upstream_name    CGI-Session
%define upstream_version 4.48

%global __requires_exclude perl\\(DBD::Pg\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Persistent session data in CGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.260.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is a
key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
accross HTTP requests. CGI::Session does that and many more 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f  t/g4_mysql.t # no database available for testing
%{__make} test

%install
%makeinstall_std
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc Changes INSTALL META.json META.yml README examples
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 4.480.0-7.mga6
+ Revision: 1023820
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 4.480.0-6.mga6
+ Revision: 935448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.480.0-5.mga5
+ Revision: 748031
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.480.0-4.mga5
+ Revision: 683656
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 4.480.0-3.mga4
+ Revision: 509482
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.480.0-2.mga3
+ Revision: 363553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 4.48

* Wed Jul 13 2011 jquelin <jquelin> 4.470.0-1.mga2
+ Revision: 123631
- update to 4.47

* Fri Jul 08 2011 jquelin <jquelin> 4.450.0-1.mga2
+ Revision: 120367
- update to 4.45

* Wed Feb 16 2011 jquelin <jquelin> 4.430.0-1.mga1
+ Revision: 52435
- update to 4.43

* Sun Jan 23 2011 jquelin <jquelin> 4.420.0-1.mga1
+ Revision: 33592
- mageia rebuild
- imported package perl-CGI-Session


* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 4.420.0-1mdv2010.0
+ Revision: 422882
- update to 4.42

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 4.410.0-1mdv2010.0
+ Revision: 403004
- rebuild using %%perl_convert_version

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 4.41-1mdv2010.0
+ Revision: 372684
- update to new version 4.41

* Wed Jan 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.38-2mdv2009.1
+ Revision: 326511
- don't require DBD::Pg

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.38-1mdv2009.1
+ Revision: 299375
- update to new version 4.38

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.37-1mdv2009.1
+ Revision: 297537
- update to new version 4.37

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.36-1mdv2009.1
+ Revision: 292031
- update to new version 4.36

* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.35-1mdv2009.0
+ Revision: 236715
- update to new version 4.35

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.33-1mdv2009.0
+ Revision: 233336
- update to new version 4.33

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.32-1mdv2009.0
+ Revision: 227967
- update to new version 4.32

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.30-1mdv2009.0
+ Revision: 205413
- update to new version 4.30

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.20-1mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.20-1mdv2007.0
+ Revision: 111628
- new version

* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.14-1mdv2007.1
+ Revision: 73407
- import perl-CGI-Session-4.14-1mdv2007.0

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.14-1mdv2007.0
- new version

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.13-1mdk
- New release 4.13

* Sun Apr 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.12-1mdk
- New version
- better summary
- better source URL
- better buildrequires syntax

* Fri Mar 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.10-1mdk
- New release 4.10

* Sat Mar 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.09-1mdk
- New release 4.09

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.08-1mdk
- 4.08

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 4.03-3mdk
- fix deps

* Sat Oct 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.03-2mdk
- Fix BuildRequires
- %%mkrel

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.03-1mdk
- New release 4.03

* Wed Sep 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.02-1mdk
- New release 4.02
- spec cleanup
- tests
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-4mdk
- fix buildrequires in a backward compatible way

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-2mdk
- fixed dir ownership (distlint)

